# Generated by Django 2.1.2 on 2018-10-03 17:15

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import fontawesome.fields
import landing_page.models
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='LandingPage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Title')),
                ('slug', models.SlugField(max_length=100, unique=True, verbose_name='Slug')),
                ('tagline', models.CharField(blank=True, max_length=200, null=True, verbose_name='Tagline')),
                ('statement', models.CharField(blank=True, max_length=250, null=True, verbose_name='Statement')),
                ('logo_image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Logo image')),
                ('background_image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Background image')),
                ('hero_image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Hero image')),
                ('hero_youtube_code', models.URLField(blank=True, null=True, verbose_name='Hero YouTube code')),
                ('copyright_text', models.CharField(blank=True, max_length=200, null=True, verbose_name='Copyright text')),
                ('enable_about', models.BooleanField(default=True, verbose_name='Enable about section')),
                ('about_title', models.CharField(default='About', max_length=200, verbose_name='About title')),
                ('about_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='About')),
                ('about_image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='About image')),
                ('enable_services', models.BooleanField(default=True, verbose_name='Enable services section')),
                ('services_title', models.CharField(default='Services', max_length=200, verbose_name='Services title')),
                ('services_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Your services')),
                ('enable_testimonials', models.BooleanField(default=True, verbose_name='Enable testimonial section')),
                ('testimonials_title', models.CharField(default='Testimonials', max_length=200, verbose_name='Testimonials title')),
                ('testimonials_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Your testimonials')),
                ('enable_pricing', models.BooleanField(default=True, verbose_name='Enable pricing section')),
                ('pricing_title', models.CharField(default='Pricing', max_length=200, verbose_name='Pricing title')),
                ('pricing_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Pricing text')),
                ('enable_portfolio', models.BooleanField(default=True, verbose_name='Enable portfolio section')),
                ('portfolio_title', models.CharField(default='Portfolio', max_length=200, verbose_name='Portfolio title')),
                ('portfolio_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Portfolio text')),
                ('enable_contact', models.BooleanField(default=True, verbose_name='Enabled contact section')),
                ('contact_title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Contact Title')),
                ('contact_text', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Contact text')),
                ('homepage', models.URLField(blank=True, null=True)),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email address')),
                ('phone_number1', models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone number #1')),
                ('phone_number2', models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone number #2')),
                ('address1', models.CharField(blank=True, max_length=100, null=True, verbose_name='Address')),
                ('address2', models.CharField(blank=True, max_length=100, null=True, verbose_name='Extended address')),
                ('city', models.CharField(blank=True, max_length=100, null=True, verbose_name='City')),
                ('zip_code', models.CharField(blank=True, max_length=10, null=True, verbose_name='Zip code')),
                ('country', models.CharField(blank=True, max_length=100, null=True, verbose_name='Country')),
                ('latitude', models.CharField(blank=True, max_length=15, null=True, verbose_name='Latitude')),
                ('longitude', models.CharField(blank=True, max_length=15, null=True, verbose_name='Longitude')),
                ('facebook', models.URLField(blank=True, null=True, verbose_name='Facebook')),
                ('twitter', models.URLField(blank=True, null=True, verbose_name='Twitter')),
                ('instagram', models.URLField(blank=True, null=True, verbose_name='Instagram')),
                ('github', models.URLField(blank=True, null=True, verbose_name='GitHub')),
                ('linkedin', models.URLField(blank=True, null=True, verbose_name='LinkedIn')),
                ('googleplus', models.URLField(blank=True, null=True, verbose_name='Google+')),
                ('youtube', models.URLField(blank=True, null=True, verbose_name='YouTube')),
                ('flickr', models.URLField(blank=True, null=True, verbose_name='Flickr')),
            ],
        ),
        migrations.CreateModel(
            name='Layout',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=20, verbose_name='Title')),
                ('folder_name', models.CharField(max_length=50, verbose_name='Folder name')),
                ('bootstrap_based', models.BooleanField(default=False, verbose_name='Based on Bootstrap 4')),
                ('materialize_based', models.BooleanField(default=False, verbose_name='Based on Materialize')),
                ('uses_fontawesome4', models.BooleanField(default=False, verbose_name='Uses Font Awesome 4')),
                ('uses_fontawesome5', models.BooleanField(default=False, verbose_name='Uses Font Awesome 5')),
                ('uses_jquery', models.BooleanField(default=False, verbose_name='Uses jQuery')),
            ],
        ),
        migrations.CreateModel(
            name='PortfolioPart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, null=True, verbose_name='Icon')),
                ('short_text', models.TextField(blank=True, max_length=500, null=True, verbose_name='Short text')),
                ('title', models.CharField(blank=True, max_length=100, null=True, verbose_name='Link title')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Link')),
                ('image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Image')),
                ('image_url', models.URLField(blank=True, null=True, verbose_name='Image url')),
                ('youtube_code', models.URLField(blank=True, null=True, verbose_name='YouTube code')),
                ('sort_order', models.PositiveIntegerField(default=1, verbose_name='Sort order')),
                ('description', models.TextField(blank=True, max_length=500, null=True, verbose_name='Description')),
                ('preview_target', models.CharField(choices=[('image', 'Image'), ('image_url', 'Image url'), ('video', 'Video')], default='image', max_length=15, verbose_name='Portfolio preview target')),
                ('link_target', models.CharField(choices=[('image', 'Image'), ('image_url', 'Image url'), ('video', 'Video')], default='image', max_length=15, verbose_name='Portfolio click target')),
            ],
            options={
                'ordering': ['-sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PricingPart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Link title')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Link')),
                ('image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Image')),
                ('sort_order', models.PositiveIntegerField(default=1, verbose_name='Sort order')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, null=True, verbose_name='Icon')),
                ('short_text', models.TextField(blank=True, max_length=500, null=True, verbose_name='Short text')),
                ('amount', models.CharField(max_length=10, verbose_name='Amount')),
                ('period', models.CharField(blank=True, max_length=10, null=True, verbose_name='Pricing period')),
            ],
            options={
                'ordering': ['-sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ServicePart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Link title')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Link')),
                ('image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Image')),
                ('sort_order', models.PositiveIntegerField(default=1, verbose_name='Sort order')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, null=True, verbose_name='Icon')),
                ('short_text', models.TextField(blank=True, max_length=500, null=True, verbose_name='Short text')),
            ],
            options={
                'ordering': ['-sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TestimonialPart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Link title')),
                ('link', models.URLField(blank=True, null=True, verbose_name='Link')),
                ('image', sorl.thumbnail.fields.ImageField(blank=True, null=True, upload_to=landing_page.models.PathAndRename('external_profiles'), verbose_name='Image')),
                ('sort_order', models.PositiveIntegerField(default=1, verbose_name='Sort order')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, null=True, verbose_name='Icon')),
                ('short_text', models.TextField(blank=True, max_length=500, null=True, verbose_name='Short text')),
            ],
            options={
                'ordering': ['-sort_order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='landingpage',
            name='layout',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='landing_page.Layout'),
        ),
        migrations.AddField(
            model_name='landingpage',
            name='portfolio_parts',
            field=models.ManyToManyField(blank=True, to='landing_page.PortfolioPart'),
        ),
        migrations.AddField(
            model_name='landingpage',
            name='pricing_parts',
            field=models.ManyToManyField(blank=True, to='landing_page.PricingPart'),
        ),
        migrations.AddField(
            model_name='landingpage',
            name='service_parts',
            field=models.ManyToManyField(blank=True, to='landing_page.ServicePart'),
        ),
        migrations.AddField(
            model_name='landingpage',
            name='testimonials_parts',
            field=models.ManyToManyField(blank=True, to='landing_page.TestimonialPart'),
        ),
        migrations.AddField(
            model_name='landingpage',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='landing_pages', to=settings.AUTH_USER_MODEL),
        ),
    ]
